/*
 * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：研发部
 * 日 期：2017.04.05
 * 描 述：分类管理	
 */
var parentId = request('parentId');
var selectedRow = top.layer_ClassifyIndex.selectedRow;
var ProjectId = request('ProjectId');

var keyValue = '';
var acceptClick;
var bootstrap = function ($, learun) {
    "use strict";

    var page = {
        init: function () {
            if (!ProjectId) {
                $("#divIsAllowEdit").show();
            } 
            page.bind();
            page.initData();
        },
        bind: function () {
            // 上级
            $('#UpDataItemID').lrselect({
                url: top.$.rootUrl + '/ZZDT_EC/ec_dataitem/GetClassifyTree',
                param: { ProjectId: ProjectId },
                type: 'tree',
                allowSearch: true,
                maxHeight:225
            }).lrselectSet(parentId);

            /*检测重复项*/
            $('#DataItemName').on('blur', function () {
                $.lrExistField(keyValue, 'DataItemName', top.$.rootUrl + '/ZZDT_EC/ec_dataitem/ExistItemName', { ProjectId: ProjectId });
            });
            $('#DataItemCode').on('blur', function () {
                $.lrExistField(keyValue, 'DataItemCode', top.$.rootUrl + '/ZZDT_EC/ec_dataitem/ExistItemCode', { ProjectId: ProjectId });
            });
        },
        initData: function () {
            if (!!selectedRow) {
                keyValue = selectedRow.DataItemID || '';
                $('#form').lrSetFormData(selectedRow);
            }
        }
    };
    // 保存数据
    acceptClick = function (callBack) {
        if (!$('#form').lrValidform()) {
            return false;
        }
        var formData = $('#form').lrGetFormData();
        if (formData["UpDataItemID"] == '' || formData["UpDataItemID"] == '&nbsp;') {
            formData["UpDataItemID"] = '0';
        }
        else if (formData["UpDataItemID"] == keyValue) {
            learun.alert.error('上级不能是自己本身');
            return false;
        }
        //文字特殊字符及最大长度检测
        if (!verify()) {
            return false;
        }
        if (!keyValue) {
            formData.ProjectId = ProjectId;
        }

        var postData = {
            strEntity: JSON.stringify(formData)
        }

        $.lrSaveForm(top.$.rootUrl + '/ZZDT_EC/ec_dataitem/SaveForm?keyValue=' + keyValue + "&ProjectId=" + ProjectId, postData, function (res) {
            // 保存成功后才回调
            if (!!callBack) {
                callBack();
            }
        });
    };

    page.init();
}

//文字特殊字符及最大长度检测
function verify() {
    var msg = checkStr($("#DataItemName").val(), 200);
    if (msg) {
        $.lrValidformMessage($("#DataItemName"), msg);
        $('#DataItemName').click();
        return false;
    }
    msg = checkStr($("#DataItemCode").val(), 200);
    if (msg) {
        $.lrValidformMessage($("#DataItemCode"), msg);
        $('#DataItemCode').click();
        return false;
    }
    msg = checkStr($("#Remark").val(), 500);
    if (msg) {
        $.lrValidformMessage($("#Remark"), msg);
        $('#Remark').click();
        return false;
    }
    return true;
}